const tools = {}

/**
 * arr [a,b,c]
 * 
 * val value
 */
function returnNewObj(data, arr, val) {
  if(arr.length > 1){
    let k = arr.shift()
    let curk = arr[0]
    if(!data[k]){
      data[k] = {}
    } 
    returnNewObj(data[k], arr, val)
  }else{
    let curk = arr[0]
    data[curk] = val;
  }
}



/**
 * param data Object
 * 
 * 将对象中 key 为a.b.c 转换为a:{b:{c:''}}
 * 
 */
tools.formatData = (data) => {
  let newData = JSON.parse(JSON.stringify(data))
  for (let key in newData) {
    if (key.indexOf('.') > -1) {
      let arr = key.split('.')
      returnNewObj(newData, arr, newData[key])
      delete newData[key]
    }
  }
  return newData
}

export default tools